IF NOT EXISTS ( SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_QUERYMAPPING_SET' )
CREATE TABLE T_FMM_QUERYMAPPING_SET(
  FID          BIGINT          DEFAULT 0   NOT NULL,
  FNUMBER      NVARCHAR(30)    DEFAULT ' ' NOT NULL,
  FNAME        NVARCHAR(50)    DEFAULT ' ' NOT NULL,
  FSTATUS      NVARCHAR(1)     DEFAULT ' ' NOT NULL,
  FCREATORID   BIGINT          DEFAULT 0   NOT NULL,
  FMODIFIERID  BIGINT          DEFAULT 0   NOT NULL,
  FENABLE      NVARCHAR(1)     DEFAULT ' ' NOT NULL,
  FCREATETIME  DATETIME ,
  FMODIFYTIME  DATETIME ,
  FMASTERID    BIGINT          DEFAULT 0   NOT NULL,
  FMONITORAREA NVARCHAR(5)     DEFAULT ' ' NOT NULL,
  FPARAMENTITY NVARCHAR(255)   DEFAULT 0   NOT NULL,
  FQUERYENTITY NVARCHAR(255)   DEFAULT 0   NOT NULL,
  FAUDITOR     BIGINT          DEFAULT 0   NOT NULL,
  FAUDITTIME   DATETIME
);

IF NOT EXISTS ( SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_QUERYMAPPING_SET_L' )
CREATE TABLE T_FMM_QUERYMAPPING_SET_L(
  FPKID      NVARCHAR(255)   DEFAULT ' ' NOT NULL,
  FID        BIGINT          DEFAULT 0   NOT NULL,
  FLOCALEID  NVARCHAR(255)   DEFAULT ' ' NOT NULL,
  FNAME      NVARCHAR(50)    DEFAULT ' ' NOT NULL
);

IF NOT EXISTS ( SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_QMSET_ENTRY' )
CREATE TABLE T_FMM_QMSET_ENTRY(
  FID         BIGINT       DEFAULT 0   NOT NULL,
  FENTRYID    BIGINT       DEFAULT 0   NOT NULL,
  FSEQ        INT          DEFAULT 0   NOT NULL,
  FPARAMFIELD NVARCHAR(5)  DEFAULT ' ' NOT NULL,
  FQUERYFIELD NVARCHAR(5)  DEFAULT ' ' NOT NULL
);